libinput-test(1)

NAME
libinput-test - test various components of libinput itself

SYNOPSIS
libinput test [--help] <feature> [<args>]

DESCRIPTION

The libinput test tool runs tests against libinput itself. There is usually no need for a user to use this tool, it is provided for distribution vendors. @HAVE_INSTALLED_TESTS@.B This tool was disabled at build time!

This is a testing tool only, its output may change at any time. Do not rely on the output.

This tool may need to be run as root to have access to the /dev/input/eventX nodes and/or create /dev/uinput devices.

OPTIONS

--help
    Print help

FEATURES
Tests that can be run are

libinput-test-suite(1)
    Run the full test suite. This is the most complete set of tests to run in libinput.

libinput-test-utils
    Run the test suite suite for internal utility functions.

LIBINPUT
Part of the libinput(1) suite